Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slacon

    java.lang.Object
      org.netlib.lapack.Slacon

    public class Slacon

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLACON estimates the 1-norm of a square, real matrix A.
     *  Reverse communication is used for evaluating matrix-vector products.

     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The order of the matrix.  N >= 1.
     *
     *  V      (workspace) REAL array, dimension (N)
     *         On the final return, V = A*W,  where  EST = norm(V)/norm(W)
     *         (W is not returned).
     *
     *  X      (input/output) REAL array, dimension (N)
     *         On an intermediate return, X should be overwritten by
     *               A * X,   if KASE=1,
     *               A' * X,  if KASE=2,
     *         and SLACON must be re-called with all the other parameters
     *         unchanged.
     *
     *  ISGN   (workspace) INTEGER array, dimension (N)
     *
     *  EST    (input/output) REAL
     *         On entry with KASE = 1 or 2 and JUMP = 3, EST should be
     *         unchanged from the previous call to SLACON.
     *         On exit, EST is an estimate (a lower bound) for norm(A).
     *
     *  KASE   (input/output) INTEGER
     *         On the initial call to SLACON, KASE should be 0.
     *         On an intermediate return, KASE will be 1 or 2, indicating
     *         whether X should be overwritten by A * X  or A' * X.
     *         On the final return from SLACON, KASE will again be 0.
     *
     *  Further Details
     *  ======= =======
     *
     *  Contributed by Nick Higham, University of Manchester.
     *  Originally named SONEST, dated March 16, 1988.
     *
     *  Reference: N.J. Higham, "FORTRAN codes for estimating the one-norm of
     *  a real or complex matrix, with applications to condition estimation",
     *  ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static float` | `altsgn`
`static float` | `estold`
`static int` | `i`
`static int` | `iter`
`static int` | `j`
`static int` | `jlast`
`static int` | `jump`
`static float` | `temp`

Constructor Summary
`Slacon()`

Method Summary
`static void` | `slacon(int n, float[] v, int _v_offset, float[] x, int _x_offset, int[] isgn, int _isgn_offset, floatW est, intW kase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i

    public static int i

### iter

    public static int iter

### j

    public static int j

### jlast

    public static int jlast

### jump

    public static int jump

### altsgn

    public static float altsgn

### estold

    public static float estold

### temp

    public static float temp

Constructor Detail

### Slacon

    public Slacon()

Method Detail

### slacon

    public static void slacon(int n,
                              float[] v,
                              int _v_offset,
                              float[] x,
                              int _x_offset,
                              int[] isgn,
                              int _isgn_offset,
                              floatW est,
                              intW kase)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD